Subject: Re: bug#20614: Segmentation fault when building on Power8 Little Endian

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Oct 2015 10:43:15 +0300

> From: Petr Hracek <[email-masked]>
> Date: Wed, 30 Sep 2015 12:39:47 +0200
> Cc: [email-masked]
> 
> My deep observation with emacs package and binutils:
> 1) binutils-2.23.52.0.1-30.el7_1.2.ppc64le.rpm works completely.
> 2) binutils-2.23.52.0.1-40.el7.ppc64le.rpm works if row
> http://git.savannah.gnu.org/cgit/emacs.git/tree/src/unexelf.c?h=emacs-24#n869
> is suppressed.
> 
> With newer version of binutils I can see the same series:( 
> like:
> Dumping under the name emacs
> emacs: Program segment above .bss in
> /builddir/build/BUILD/emacs-24.3/src/temacs
> make[2]: Leaving directory `/builddir/build/BUILD/emacs-24.3/src'
> make[2]: *** [bootstrap-emacs] Error 1
> 
> I have collected list of commits and messages against upstream:
> #1200138
> https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;a=commit;h=43a8475ca01b676fb764aaed0c4ed1cc16fc3c87 #1200138
> https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=eec2f3ed9f053653ed5d629eb50e08e3ee61e9bd #1203449
> https://bugzilla.redhat.com/attachment.cgi?id=1003499 # 1175624 .opd
> https://sourceware.org/ml/binutils/2015-01/msg00227.html
> # 1175624 .got which implies .sdata, .sbss, .plt .iplt and .branch_lt also have
> to move: https://sourceware.org/ml/binutils/2015-01/msg00228.html
> # 1175624 And .toc1: https://sourceware.org/ml/binutils/2015-01/msg00232.html 
> #1194164 func@localentry expressions, which was added to FSF binutils with git
> commit 45965137
> #1183838 https://bugzilla.redhat.com/attachment.cgi?id=986213
> # 1172766 https://bugzilla.redhat.com/attachment.cgi?id=989450 I hope it helps
> you a bit. 

I think we need help from someone who understands the Binutils part of
this.  Can you ask some of the Binutils maintainers please join this
discussion and analyze the problem?